LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 10-17-2011, 10:18 AM   #16
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0

hi caravel,

cat /etc/apt/preferences
gives an error, since I have no file with that name

cat /etc/apt/apt.conf
gives
Acquire::http::Proxy "http://debianpkg:debianpkg@172.22.7.16:8080";

I must leave now. I pick this up tomorrow morning.

Ruud
 
Old 10-17-2011, 10:27 AM   #17
cynwulf
Senior Member
 
Registered: Apr 2005
Posts: 2,130
Blog Entries: 5

Rep: Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186
Code:
cd /etc/apt
mv apt.conf apt.old
Make sure it can still connect:
Code:
apt-get update
Follow my previous post.
 
Old 10-18-2011, 02:32 AM   #18
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0
hi caravel,

moving the apt.conf file results in apt-get not being able to do anything. Must be some proxy configuration.
Is it OK to carry out the rest of the instructions without moving apt.conf?

regards, Ruud
 
Old 10-18-2011, 03:05 AM   #19
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0
I upgraded the packages with dselect, except for two:

$
Code:
 sudo apt-get -s install maven2 velocity                                         
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 maven2 : Depends: libmaven2-core-java but it is not going to be installed
          Recommends: libmaven-clean-plugin-java but it is not going to be installed
          Recommends: libmaven-compiler-plugin-java but it is not going to be installed
          Recommends: libmaven-install-plugin-java but it is not going to be installed
          Recommends: libmaven-jar-plugin-java but it is not going to be installed
          Recommends: libmaven-resources-plugin-java but it is not going to be installed
          Recommends: libmaven-shade-plugin-java but it is not going to be installed
E: Broken packages
Maven2 gave problems in dselect too. I can uninstall them since I don't use it by now.
I upgraded the libraries that were kept back too, so now the output of dist-upgrade is
Code:
$ sudo apt-get -s dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  libdoxia-java libmx4j-java libplexus-classworlds-java libplexus-component-api-java libplexus-container-default-java
  libplexus-interactivity-api-java libplexus-utils-java libplexus-velocity-java libslf4j-java libwagon-java maven2 velocity
0 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.
That almost brings me at the point of the last two commands. What do you think of it?

regards, Ruud
 
Old 10-18-2011, 04:28 AM   #20
cynwulf
Senior Member
 
Registered: Apr 2005
Posts: 2,130
Blog Entries: 5

Rep: Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186
As I said, don't use dselect, no one uses it these days, aptitude or apt-get are the better package management tools and better at resolving and identifying dependency problems.

Remove maven2 if you don't want it, but also velocity as well and then try upgrading all of the kept back libs e.g.
Code:
aptitude purge maven2 velocity
aptitude install libdoxia-java libmx4j-java libplexus-classworlds-java libplexus-component-api-java libplexus-container-default-java libplexus-interactivity-api-java libplexus-utils-java libplexus-velocity-java libslf4j-java libwagon-java
Reinstall maven2 and velocity if you wish

Code:
aptitude install maven2 velocity
You will need to get to the situation where nothing is being kept back and "apt-get dist-upgrade" returns nothing.

Then just to be sure, run the two aptitude commands. aptitude should clean up packages which are no longer required as well.

Last edited by cynwulf; 10-18-2011 at 04:30 AM.
 
1 members found this post helpful.
Old 10-18-2011, 05:40 AM   #21
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0
hi caravel,

everyting is up to date now. I did not do what aptitude wanted me to. It wanted to install 2 Gb of packages I don't need/want. I think I am content with the current situation and will stay up to date. You convinced me.

Aptitude reported some conflicts and in the coming days I will take a look if I can repair them with apt-get. Aptitude is a bridge too far for me.

Anyway, I am very grateful for all your help.

thanks again, Ruud
 
Old 10-18-2011, 05:54 AM   #22
cynwulf
Senior Member
 
Registered: Apr 2005
Posts: 2,130
Blog Entries: 5

Rep: Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186
Can you post the command and output where aptitude wanted to install 2GB of packages?
 
Old 10-18-2011, 06:01 AM   #23
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0
OK... you asked for it....

I had to shorten it a bit (
Quote:
The text that you have entered is too long (79458 characters). Please shorten it to 30000 characters long.
)
Code:
$ sudo aptitude install
The following NEW packages will be installed:
  abiword-common akregator{b} alacarte alien amsn{b} apache2-mpm-prefork{b} arj aspell aspell-en aspell-nl at-spi 
  automake1.4 automake1.9 autotools-dev avifile-divx-plugin avifile-mad-plugin avifile-mjpeg-plugin avifile-player 
  avifile-utils avifile-win32-plugin avifile-xvid-plugin barcode blinken{b} bogofilter bogofilter-bdb bogofilter-common 
  bonnie++ bug-buddy capplets-data cdargs cddb cdparanoia cdrdao celestia-common cl-asdf cl-swank cli-common-dev{b} 
  clisp clisp-doc common-lisp-controller cyrus-sasl2-doc darkice dasher dasher-data dc deskbar-applet{b} desktop-base 
  dia-gnome dict-freedict-eng-fra dict-freedict-eng-nld dict-freedict-fra-nld dictionaries-common dictzip{b} 
  dmz-cursor-theme docbook-xml docbook-xsl docker doxygen doxygen-doc e16keyedit e16menuedit2 edict ekiga{b} 
  emacsen-common enigmail eog{b} epiphany epiphany-browser{b} epiphany-browser-data epiphany-data epiphany-extensions 
  epiphany-gecko espeak espeak-data eterm eterm-themes evolution{b} evolution-common evolution-data-server{b} 
  evolution-data-server-common evolution-plugins{b} evolution-webcal{b} exaile{b} exo-utils fam fast-user-switch-applet 
  fdutils feh festival{b} festlex-cmu festlex-poslex festvox-kallpc8k file-roller fish fortune-mod fortunes-min 
  freeglut3 fsviewer g-wrap galeon{b} galeon-common gcalctool gconf-editor{b} gdb{b} gdm gdm-themes gedit gedit-common 
  ggzcore-bin giblib1 gkrellm{b} gksu gnokii-common gnome{b} gnome-about gnome-accessibility-themes gnome-applets{b} 
  gnome-applets-data gnome-backgrounds gnome-cards-data gnome-commander gnome-control-center{b} gnome-core{b} 
  gnome-desktop-data gnome-desktop-environment{b} gnome-doc-utils gnome-games{b} gnome-games-data gnome-games-extra-data 
  gnome-icon-theme-gartoon gnome-keyring{b} gnome-mag{b} gnome-media{b} gnome-media-common gnome-menus 
  gnome-netstatus-applet gnome-nettool gnome-office{b} gnome-orca{b} gnome-panel{b} gnome-panel-data gnome-pilot 
  gnome-pilot-conduits gnome-power-manager{b} gnome-screensaver{b} gnome-session{b} gnome-system-monitor 
  gnome-system-tools{b} gnome-terminal gnome-terminal-data gnome-themes gnome-themes-extras gnome-user-guide 
  gnome-utils{b} gnucash{b} gnucash-common gnuchess gnuchess-book gnustep-back-common{b} gnustep-make-doc gobby{b} gocr 
  gok gqview groff{b} grsync gs-gpl gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gtk2-engines 
  gtk2-engines-pixbuf gtk2-engines-xfce gtkpod{b} gucharmap{b} guile-1.6 guile-1.6-dev{b} guile-1.6-libs guile-1.6-slib 
  guile-1.8 guile-1.8-libs guile-g-wrap guile-library html2ps iamerican ibritish iceape-browser iceape-mailnews icedax 
  inkscape{b} ispell kaddressbook{b} kalzium-data kamera{b} kanagram{b} kanjidic kappfinder{b} kapptemplate{b} 
  kde-i18n-nl{b} kde-icons-crystal kdeaccessibility{b} kdeartwork-emoticons kdebase-bin{b} kdebase-data kdelibs-data 
  kdelibs4c2a kdemultimedia-kio-plugins{b} kdepim-kresources{b} kdepim-wizards{b} kdesdk-scripts kdewebdev 
  kfilereplace{b} kfind{b} kimagemapeditor{b} kleopatra{b} klinkstatus{b} kmag{b} kmousetool{b} kmouth{b} knetwalk{b} 
  knetworkconf{b} kommander{b} konqueror{b} konsole{b} korganizer{b} kphone kscreensaver{b} kscreensaver-xsavers{b} 
  kttsd{b} kturtle{b} kwin{b} kwordquiz{b} lib64gcc1{b} lib64ncurses5 lib64stdc++6{b} lib64z1 libaiksaurusgtk-1.2-0c2a 
  libalut0 libapache2-mod-php5 libapm1 libarts1c2a libartsc0-dev libasound2-dev libaspell-dev libast2 libatspi1.0-0 
  libaudio-dev libaudiofile-dev libavahi-qt3-1 libavifile-0.7c2 libc6-amd64 libcairo-perl libcairo2-dev{b} 
  libcairomm-1.0-1 libcolorblind0 libdmx-dev libdmx1 libdv-bin libebook1.2-9{b} libecal1.2-7{b} libedata-book1.2-2{b} 
  libedataserverui1.2-8{b} libegroupwise1.2-13{b} libesd0-dev libespeak1 libexo-0.3-0{b} libexpat1-dev libfbclient2{b} 
  libffcall1-dev libfinance-quote-perl libfontconfig1-dev{b} libfontenc-dev libgail-common libgalago3 libgcrypt11-dev{b} 
  libgd2-xpm{b} libgdiplus libgdl-1-common libggi2 libggz2 libggzcore9 libggzmod4 libgksu2-0 libgl1-mesa-dev 
  libglade2.0-cil libglademm-2.4-1c2a{b} libglib2.0-doc libglu1-xorg libgnet2.0-0 libgnome-media0 libgnome-menu2 
  libgnome-pilot2 libgnome-speech7 libgnome-vfs2.0-cil libgnome-vfsmm-2.6-1c2a libgnome-window-settings1{b} 
  libgnome2-canvas-perl libgnome2-perl libgnome2-vfs-perl libgnomecanvasmm-2.6-1c2a{b} libgnomekbd-common 
  libgnomemm-2.6-1c2{b} libgnomeprint2.2-0 libgnomeprintui2.2-0 libgnomeprintui2.2-common libgnomeuimm-2.6-1c2a{b} 
  libgnomevfs2-bin libgphoto2-2 libgphoto2-port0 libgsf-gnome-1-114 libgsl0ldbl libgtk2-perl{b} libgtk2.0-cil{b} 
  libgtkhtml3.14-19 libgtkmathview0c2a libgtkmm-2.4-1c2a{b} libgtkspell0 libgtop2-7 libgwrap-runtime2 
  libhtml-tableextract-perl libice-dev libieee1284-3 libimager-perl libimlib2 libjack-dev{b} liblink-grammar4 libmng-dev 
  libmono-addins-gui0.2-cil libmono-bytefx0.7.6.1-cil libmono-cairo1.0-cil libmono-firebirdsql1.7-cil 
  libmono-system-runtime1.0-cil libmono-system-web1.0-cil libmono-system-web2.0-cil{b} libmono-winforms1.0-cil 
  libmono1.0-cil libmono2.0-cil libpam-gnome-keyring libpango1.0-dev libpcre3-dev{b} libpisock9{b} libpisync1 libplot2c2 
  libpoppler-dev libpoppler-glib-dev libpopplerkit0{b} libpopt-dev libpstoedit0c2a{b} libpt-1.10.10 
  libpt-1.10.10-plugins-alsa libpt-1.10.10-plugins-v4l libquicktime1 libreadline5-dev librenaissance0{b} libsane 
  libsdl-image1.2 libsdl-mixer1.2{b} libservlet2.3-java libsm-dev libsnack2 libsql-statement-perl libssl-dev 
  libthunar-vfs-1-2 libtiff4-dev libtool libversion-perl libwine libwine-alsa libwine-cms libwine-gl libwine-gphoto2 
  libwine-ldap libwine-print libwine-sane libwmf-bin libwraster3 libx11-dev{b} libxau-dev libxcb-shm0 libxcb-xv0 
  libxcursor-dev libxdmcp-dev libxext-dev libxfce4util4{b} libxfcegui4-4{b} libxfixes-dev libxfont-dev libxft-dev 
  libxi-dev libxine1 libxine1-console{b} libxine1-misc-plugins{b} libxine1-plugins libxine1-x{b} libxinerama-dev 
  libxkbfile-dev libxmu-dev libxmu-headers libxmuu-dev libxosd2 libxp-dev libxpm-dev libxrandr-dev libxrender-dev 
  libxres-dev libxss-dev libxt-dev libxt-java libxtst-dev libxv-dev libxvmc-dev libxxf86dga-dev libxxf86vm-dev licq 
  licq-plugin-msn licq-plugin-qt link-grammar-dictionaries-en lpr lsb lsb-core lsb-cxx lsb-desktop{b} lsb-graphics 
  lsb-qt4 lynx{b} mail-notification manpages-dev menu-xdg mesa-common-dev metacity{b} metacity-common mono-1.0-devel{b} 
  mozilla-biofox mozilla-diggler mozilla-livehttpheaders mpg123 myspell-en-gb myspell-en-us myspell-nl nasm nautilus{b} 
  nautilus-data ncurses-term nedit obconf{b} openbox{b} openoffice.org-style-andromeda openoffice.org-style-tango orage 
  p7zip pax perl-suid perlmagick php5 pidgin-data pinentry-qt planner plptools pm-utils poxml pstoedit python-fpconst 
  python-glade2 python-gmenu python-gnome2 python-gst0.10 python-gtkglext1 python-gtksourceview2 python-libxml2 
  python-mutagen python-opengl python-pysqlite2 python-pyvorbis{b} python-setuptools{b} python-soappy python-vte 
  python-wxversion qt3-dev-tools raptor-utils rep-gtk rhythmbox{b} rss-glx{b} sawfish{b} sawfish-data sbcl 
  scrollkeeper{b} seahorse{b} siege slib slime software-properties-gtk sound-juicer{b} synaptic tcsh texinfo texlive 
  texlive-base{b} texlive-bibtex-extra texlive-doc-base texlive-font-utils texlive-fonts-extra texlive-fonts-recommended 
  texlive-generic-recommended texlive-lang-croatian texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-danish 
  texlive-lang-dutch texlive-lang-finnish texlive-lang-french texlive-lang-german texlive-lang-greek 
  texlive-lang-hungarian texlive-lang-italian texlive-lang-latin texlive-lang-mongolian texlive-lang-norwegian 
  texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish texlive-lang-swedish 
  texlive-lang-vietnamese texlive-latex-base texlive-latex-extra texlive-latex-recommended texlive-math-extra 
  texlive-pictures{b} texlive-pstricks texlive-publishers thunar thunar-data thunar-media-tags-plugin tkcvs tomboy{b} 
  totem{b} totem-common totem-gstreamer totem-mozilla{b} totem-plugins{b} trans-de-en tsclient ttf-arphic-bkai00mp 
  ttf-arphic-bsmi00lp ttf-arphic-gbsn00lp ttf-arphic-gkai00mp ttf-kochi-gothic ttf-kochi-mincho unace unhtml 
  update-notifier{b} v4l-conf valgrind{b} vcdimager vdr vim-gnome{b} vino{b} w3m wine wine-bin wine-doc wine-utils 
  wireless-tools{b} wmaker wmclockmon wmdrawer wmsysmon wodim workrave{b} wterm x-dev x11proto-core-dev x11proto-dmx-dev 
  x11proto-fixes-dev x11proto-fonts-dev x11proto-input-dev x11proto-kb-dev x11proto-print-dev x11proto-randr-dev 
  x11proto-record-dev x11proto-render-dev x11proto-resource-dev x11proto-scrnsaver-dev x11proto-video-dev 
  x11proto-xext-dev x11proto-xf86dga-dev x11proto-xf86misc-dev x11proto-xf86vidmode-dev x11proto-xinerama-dev 
  xbase-clients xchat xchat-common xdg-utils xfce4{b} xfce4-mixer{b} xfce4-panel xfce4-screenshooter-plugin{b} 
  xfce4-session{b} xfce4-terminal xfce4-utils xfce4-xkb-plugin{b} xfdesktop4{b} xfdesktop4-data xfonts-cyrillic 
  xfprint4{b} xfs xfwm4{b} xfwm4-themes xli xlibmesa-gl xlibmesa-gl-dev xmlstarlet xplanet xplanet-images xprint{b} 
  xprint-common xserver-xephyr xserver-xorg-video-all{b} xserver-xorg-video-apm xserver-xorg-video-ark 
  xserver-xorg-video-ati{b} xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-dummy 
  xserver-xorg-video-fbdev xserver-xorg-video-glint xserver-xorg-video-mga xserver-xorg-video-neomagic 
  xserver-xorg-video-nv xserver-xorg-video-rendition xserver-xorg-video-s3virge xserver-xorg-video-savage 
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx 
  xserver-xorg-video-tga xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-via{b} 
  xserver-xorg-video-voodoo xsltproc xsnow xterm{b} xtrans-dev xzgv yelp zenity 
The following packages will be REMOVED:
  libexiv2-6{u} libpolkit-agent-1-0{u} 
The following packages are RECOMMENDED but will NOT be installed:
  advancecomp anacron blam brasero consolekit cpufrequtils dirdiff docbook-xsl-doc-html docbook-xsl-doc-pdf 
  docbook-xsl-doc-text dolphin e16 emacs23 emacs23-lucid emacs23-nox evolution-rss fetchyahoo gamin gdebi getlive 
  gnome-accessibility gnome-dbg gnome-dictionary gnome-settings-daemon gnome-themes-more gnucash-docs gvfs-backends 
  indent kde-window-manager kdebase konqueror-nsplugins latex-beamer latex-xcolor libggi-target-aa libggi-target-fbdev 
  libggi-target-svgalib libggi-target-terminfo libggi-target-vcsa libggi-target-x libgwrap-runtime-dev libltdl-dev 
  libqt3-mt-dev libxfce4util-bin liferea lirc lmodern mail-notification-evolution miscfiles network-manager-gnome 
  openbox-themes optipng pgf policykit-1-gnome prosper ps2eps python-cddb python-eggtrayicon python-gamin 
  python-gnomeapplet python-gpod python-gtkmozembed python-notify radeontool rarian-compat rhythmbox-plugins sane-utils 
  shotwell streamripper tango-icon-theme texlive-extra-utils texlive-fonts-extra-doc texlive-latex-base-doc 
  texlive-latex-extra-doc texlive-latex-recommended-doc texlive-pictures-doc texlive-pstricks-doc texlive-publishers-doc 
  texpower thunar-volman tipa totem-coherence transfig ttf-sazanami-mincho wamerican wamerican-huge wamerican-insane 
  wamerican-large wamerican-small wbrazilian wbritish wbritish-huge wbritish-insane wbritish-large wbritish-small 
  wbulgarian wcanadian wcanadian-huge wcanadian-insane wcanadian-large wcanadian-small wcatalan wdanish wdutch wfaroese 
  wfinnish wfrench wgalician-minimos wgerman-medical witalian wngerman wnorwegian wogerman wpolish wportuguese wspanish 
  wswedish wswiss wukrainian xdg-user-dirs xemacs21 xemacs21-mule xemacs21-mule-canna-wnn xemacs21-nomule xinput xorg 
  xprint-utils xscreensaver-gl xscreensaver-gl-extra xsel 
0 packages upgraded, 647 newly installed, 2 to remove and 0 not upgraded.
Need to get 918 MB of archives. After unpacking 2409 MB will be used.
The following packages have unmet dependencies:
  knetwalk: Depends: kdebase-runtime but it is not going to be installed.
            Depends: libkdecore5 (>= 4:4.4.0) but it is not going to be installed.
            Depends: libkdegames5 (>= 4:4.3.4) but it is not going to be installed.
            Depends: libkdeui5 (>= 4:4.4) but it is not going to be installed.
            Depends: libknotifyconfig4 (>= 4:4.4) but it is not going to be installed.
  gnome-keyring: Depends: libgcr0 (>= 2.30.0) but it is not going to be installed.
  libxfcegui4-4: Depends: libxfconf-0-2 (>= 4.6.0) but it is not going to be installed.
                 Depends: xfce-keyboard-shortcuts but it is not going to be installed.
  blinken: Depends: kdebase-runtime but it is not going to be installed.
           Depends: libkdecore5 (>= 4:4.4) but it is not going to be installed.
           Depends: libkdeedu4 (= 4:4.4.5-2) but it is not going to be installed.
           Depends: libkdeui5 (>= 4:4.4) but it is not going to be installed.
           Depends: libphonon4 (>= 4:4.3.0) but it is not going to be installed.
           Depends: phonon but it is not going to be installed.
  kscreensaver-xsavers: Depends: kdebase-runtime but it is not going to be installed.
                        Depends: libkdecore5 (>= 4:4.4.0) but it is not going to be installed.
                        Depends: libkdeui5 (>= 4:4.3.4) but it is not going to be installed.
                        Depends: libkio5 (>= 4:4.3.4) but it is not going to be installed.
                        Depends: kdebase-workspace-bin but it is not going to be installed.
                        Depends: xscreensaver-data-extra but it is not going to be installed.
                        Depends: xscreensaver-screensaver-bsod but it is not going to be installed.
  
............................. removed similar lines here

  kturtle: Depends: kdebase-runtime but it is not going to be installed.
           Depends: libkdecore5 (>= 4:4.4.0) but it is not going to be installed.
           Depends: libkdeui5 (>= 4:4.4) but it is not going to be installed.
           Depends: libkio5 (>= 4:4.4) but it is not going to be installed.
  gkrellm: Depends: libntlm0 but it is not going to be installed.
  sound-juicer: Depends: libbrasero-media0 (>= 2.30) but it is not going to be installed.
  libxine1-console: Depends: libxine1-bin (= 1.1.19-2) but 1.1.19-3 is installed.
open: 142; closed: 432; defer: 7; conflict: 8                                                                               oThe following actions will resolve these dependencies:

       Keep the following packages at their current version:               
1)       akregator [Not Installed]                                         
2)       amsn [Not Installed]                                              
3)       apache2-mpm-prefork [Not Installed]                               
4)       blinken [Not Installed]                                           
5)       bug-buddy [Not Installed]                                         
6)       cli-common-dev [Not Installed]                                    
7)       deskbar-applet [Not Installed]                                    
8)       dictzip [Not Installed]                                           
9)       ekiga [Not Installed]                                             
10)      eog [Not Installed]                                               
11)      epiphany [Not Installed]                                          
12)      epiphany-browser [Not Installed]                                  
13)      epiphany-extensions [Not Installed]                               
14)      epiphany-gecko [Not Installed]                                    
15)      evolution [Not Installed]                                         
16)      evolution-data-server [Not Installed]                             
17)      evolution-plugins [Not Installed]                                 
18)      evolution-webcal [Not Installed]                                  
19)      exaile [Not Installed]                                            


......................... removed similar lines here
                                   
248)     xprint [Not Installed]                                            
249)     xserver-xorg-video-all [Not Installed]                            
250)     xserver-xorg-video-ati [Not Installed]                            
251)     xserver-xorg-video-via [Not Installed]                            
252)     xterm [Not Installed]                                             

       Leave the following dependencies unresolved:                        
253)     alacarte recommends gnome-panel                                   
254)     capplets-data recommends gnome-control-center (>= 1:2.30.1-2)     
255)     epiphany-browser-data recommends epiphany-browser                 
256)     epiphany-data recommends epiphany (>= 0.7.0-4)                    
257)     evolution-common recommends evolution                             
258)     evolution recommends evolution-plugins                            
259)     galeon-common recommends galeon                                   
260)     galeon recommends gnome-control-center                            
261)     gksu recommends gnome-keyring                                     
262)     gnome-applets recommends deskbar-applet                           
263)     gnome-games-data recommends gnome-games                           
264)     libpam-gnome-keyring recommends gnome-keyring                     
265)     gnome-media-common recommends gnome-media                         
266)     gnome-orca recommends gnome-mag (>= 0.12.5)                       
267)     gnome-panel-data recommends gnome-panel                           
268)     gnome-panel recommends gnome-applets (>= 2.12.1-1)                
269)     gnome-panel recommends gnome-control-center                       
270)     gnome-pilot recommends gnome-pilot-conduits                       
271)     gnome-system-tools recommends gnome-control-center (>= 1:2.10.1-1)
272)     gnucash-common recommends gnucash (>= 2.2.9-10)                   
273)     kttsd recommends kmouth                                           
274)     kscreensaver recommends kscreensaver-xsavers (= 4:4.4.5-1)        
275)     kdepim-kresources recommends korganizer                           
276)     nautilus-data recommends nautilus                                 
277)     synaptic recommends libgnome2-perl                                
278)     texlive-latex-extra recommends texlive-latex-recommended          
279)     texlive-pstricks recommends texlive-font-utils                    
280)     valgrind recommends gdb                                           
281)     xfce4-session recommends xfce4-utils                              
282)     xfce4-session recommends xfdesktop4                               
283)     xfce4-session recommends xfce4-panel                              
284)     xfce4-utils recommends xfce4-panel                                
285)     xfce4-utils recommends thunar                                     
286)     xfdesktop4 recommends xfce4-utils                                 
287)     xprint-common recommends xprint                                   


Accept this solution? [Y/n/q/?]
regards, Ruud
 
Old 10-18-2011, 06:10 AM   #24
cynwulf
Senior Member
 
Registered: Apr 2005
Posts: 2,130
Blog Entries: 5

Rep: Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186
Try again but don't forget the "-f" this time.

Code:
aptitude -f install
The command you ran actually tries to installs everything - which is impossible.

Then do

Code:
aptitude full-upgrade
If that returns all 0's you're good to go, but because of the state your system was in, I'd adbvise you to do the following

Code:
aptitude install deborphan
Post output
Code:
deborphan

Last edited by cynwulf; 10-18-2011 at 06:13 AM.
 
Old 10-18-2011, 06:19 AM   #25
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0
hi caravel,
the -f option make not much difference, it only adds a remove section to the output.

Code:
Z sudo aptitude -f install
The following NEW packages will be installed:
  abiword-common akregator{b} alacarte alien amsn{b} apache2-mpm-prefork{b} arj aspell aspell-en aspell-nl at-spi 
  automake1.4 automake1.9 autotools-dev avifile-divx-plugin avifile-mad-plugin avifile-mjpeg-plugin avifile-player 
  avifile-utils avifile-win32-plugin avifile-xvid-plugin barcode blinken{b} bogofilter bogofilter-bdb bogofilter-common 
  bonnie++ bug-buddy capplets-data cdargs cddb cdparanoia cdrdao celestia-common cl-asdf cl-swank cli-common-dev{b} 
  clisp clisp-doc common-lisp-controller cyrus-sasl2-doc darkice dasher dasher-data dc deskbar-applet{b} desktop-base 
  dia-gnome dict-freedict-eng-fra dict-freedict-eng-nld dict-freedict-fra-nld dictionaries-common dictzip{b} 
  dmz-cursor-theme docbook-xml docbook-xsl docker doxygen doxygen-doc e16keyedit e16menuedit2 edict ekiga{b} 
  emacsen-common enigmail eog{b} epiphany epiphany-browser{b} epiphany-browser-data epiphany-data epiphany-extensions 
  epiphany-gecko espeak espeak-data eterm eterm-themes evolution{b} evolution-common evolution-data-server{b} 
  evolution-data-server-common evolution-plugins{b} evolution-webcal{b} exaile{b} exo-utils fam fast-user-switch-applet 
  fdutils feh festival{b} festlex-cmu festlex-poslex festvox-kallpc8k file-roller fish fortune-mod fortunes-min 
  freeglut3 fsviewer g-wrap galeon{b} galeon-common gcalctool gconf-editor{b} gdb{b} gdm gdm-themes gedit gedit-common 
  ggzcore-bin giblib1 gkrellm{b} gksu gnokii-common gnome{b} gnome-about gnome-accessibility-themes gnome-applets{b} 
  gnome-applets-data gnome-backgrounds gnome-cards-data gnome-commander gnome-control-center{b} gnome-core{b} 
  gnome-desktop-data gnome-desktop-environment{b} gnome-doc-utils gnome-games{b} gnome-games-data gnome-games-extra-data 
  gnome-icon-theme-gartoon gnome-keyring{b} gnome-mag{b} gnome-media{b} gnome-media-common gnome-menus 
  gnome-netstatus-applet gnome-nettool gnome-office{b} gnome-orca{b} gnome-panel{b} gnome-panel-data gnome-pilot 
  gnome-pilot-conduits gnome-power-manager{b} gnome-screensaver{b} gnome-session{b} gnome-system-monitor 
  gnome-system-tools{b} gnome-terminal gnome-terminal-data gnome-themes gnome-themes-extras gnome-user-guide 
  gnome-utils{b} gnucash{b} gnucash-common gnuchess gnuchess-book gnustep-back-common{b} gnustep-make-doc gobby{b} gocr 
  gok gqview groff{b} grsync gs-gpl gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gtk2-engines 
  gtk2-engines-pixbuf gtk2-engines-xfce gtkpod{b} gucharmap{b} guile-1.6 guile-1.6-dev{b} guile-1.6-libs guile-1.6-slib 
  guile-1.8 guile-1.8-libs guile-g-wrap guile-library html2ps iamerican ibritish iceape-browser iceape-mailnews icedax 
  inkscape{b} ispell kaddressbook{b} kalzium-data kamera{b} kanagram{b} kanjidic kappfinder{b} kapptemplate{b} 
  kde-i18n-nl{b} kde-icons-crystal kdeaccessibility{b} kdeartwork-emoticons kdebase-bin{b} kdebase-data kdelibs-data 
  kdelibs4c2a kdemultimedia-kio-plugins{b} kdepim-kresources{b} kdepim-wizards{b} kdesdk-scripts kdewebdev 
  kfilereplace{b} kfind{b} kimagemapeditor{b} kleopatra{b} klinkstatus{b} kmag{b} kmousetool{b} kmouth{b} knetwalk{b} 
  knetworkconf{b} kommander{b} konqueror{b} konsole{b} korganizer{b} kphone kscreensaver{b} kscreensaver-xsavers{b} 
  kttsd{b} kturtle{b} kwin{b} kwordquiz{b} lib64gcc1{b} lib64ncurses5 lib64stdc++6{b} lib64z1 libaiksaurusgtk-1.2-0c2a 
  libalut0 libapache2-mod-php5 libapm1 libarts1c2a libartsc0-dev libasound2-dev libaspell-dev libast2 libatspi1.0-0 
  libaudio-dev libaudiofile-dev libavahi-qt3-1 libavifile-0.7c2 libc6-amd64 libcairo-perl libcairo2-dev{b} 
  libcairomm-1.0-1 libcolorblind0 libdmx-dev libdmx1 libdv-bin libebook1.2-9{b} libecal1.2-7{b} libedata-book1.2-2{b} 
  libedataserverui1.2-8{b} libegroupwise1.2-13{b} libesd0-dev libespeak1 libexo-0.3-0{b} libexpat1-dev libfbclient2{b} 
  libffcall1-dev libfinance-quote-perl libfontconfig1-dev{b} libfontenc-dev libgail-common libgalago3 libgcrypt11-dev{b} 
  libgd2-xpm{b} libgdiplus libgdl-1-common libggi2 libggz2 libggzcore9 libggzmod4 libgksu2-0 libgl1-mesa-dev 
  libglade2.0-cil libglademm-2.4-1c2a{b} libglib2.0-doc libglu1-xorg libgnet2.0-0 libgnome-media0 libgnome-menu2 
  libgnome-pilot2 libgnome-speech7 libgnome-vfs2.0-cil libgnome-vfsmm-2.6-1c2a libgnome-window-settings1{b} 
  libgnome2-canvas-perl libgnome2-perl libgnome2-vfs-perl libgnomecanvasmm-2.6-1c2a{b} libgnomekbd-common 
  libgnomemm-2.6-1c2{b} libgnomeprint2.2-0 libgnomeprintui2.2-0 libgnomeprintui2.2-common libgnomeuimm-2.6-1c2a{b} 
  libgnomevfs2-bin libgphoto2-2 libgphoto2-port0 libgsf-gnome-1-114 libgsl0ldbl libgtk2-perl{b} libgtk2.0-cil{b} 
  libgtkhtml3.14-19 libgtkmathview0c2a libgtkmm-2.4-1c2a{b} libgtkspell0 libgtop2-7 libgwrap-runtime2 
  libhtml-tableextract-perl libice-dev libieee1284-3 libimager-perl libimlib2 libjack-dev{b} liblink-grammar4 libmng-dev 
  libmono-addins-gui0.2-cil libmono-bytefx0.7.6.1-cil libmono-cairo1.0-cil libmono-firebirdsql1.7-cil 
  libmono-system-runtime1.0-cil libmono-system-web1.0-cil libmono-system-web2.0-cil{b} libmono-winforms1.0-cil 
  libmono1.0-cil libmono2.0-cil libpam-gnome-keyring libpango1.0-dev libpcre3-dev{b} libpisock9{b} libpisync1 libplot2c2 
  libpoppler-dev libpoppler-glib-dev libpopplerkit0{b} libpopt-dev libpstoedit0c2a{b} libpt-1.10.10 
  libpt-1.10.10-plugins-alsa libpt-1.10.10-plugins-v4l libquicktime1 libreadline5-dev librenaissance0{b} libsane 
  libsdl-image1.2 libsdl-mixer1.2{b} libservlet2.3-java libsm-dev libsnack2 libsql-statement-perl libssl-dev 
  libthunar-vfs-1-2 libtiff4-dev libtool libversion-perl libwine libwine-alsa libwine-cms libwine-gl libwine-gphoto2 
  libwine-ldap libwine-print libwine-sane libwmf-bin libwraster3 libx11-dev{b} libxau-dev libxcb-shm0 libxcb-xv0 
  libxcursor-dev libxdmcp-dev libxext-dev libxfce4util4{b} libxfcegui4-4{b} libxfixes-dev libxfont-dev libxft-dev 
  libxi-dev libxine1 libxine1-console{b} libxine1-misc-plugins{b} libxine1-plugins libxine1-x{b} libxinerama-dev 
  libxkbfile-dev libxmu-dev libxmu-headers libxmuu-dev libxosd2 libxp-dev libxpm-dev libxrandr-dev libxrender-dev 
  libxres-dev libxss-dev libxt-dev libxt-java libxtst-dev libxv-dev libxvmc-dev libxxf86dga-dev libxxf86vm-dev licq 
  licq-plugin-msn licq-plugin-qt link-grammar-dictionaries-en lpr lsb lsb-core lsb-cxx lsb-desktop{b} lsb-graphics 
  lsb-qt4 lynx{b} mail-notification manpages-dev menu-xdg mesa-common-dev metacity{b} metacity-common mono-1.0-devel{b} 
  mozilla-biofox mozilla-diggler mozilla-livehttpheaders mpg123 myspell-en-gb myspell-en-us myspell-nl nasm nautilus{b} 
  nautilus-data ncurses-term nedit obconf{b} openbox{b} openoffice.org-style-andromeda openoffice.org-style-tango orage 
  p7zip pax perl-suid perlmagick php5 pidgin-data pinentry-qt planner plptools pm-utils poxml pstoedit python-fpconst 
  python-glade2 python-gmenu python-gnome2 python-gst0.10 python-gtkglext1 python-gtksourceview2 python-libxml2 
  python-mutagen python-opengl python-pysqlite2 python-pyvorbis{b} python-setuptools{b} python-soappy python-vte 
  python-wxversion qt3-dev-tools raptor-utils rep-gtk rhythmbox{b} rss-glx{b} sawfish{b} sawfish-data sbcl 
  scrollkeeper{b} seahorse{b} siege slib slime software-properties-gtk sound-juicer{b} synaptic tcsh texinfo texlive 
  texlive-base{b} texlive-bibtex-extra texlive-doc-base texlive-font-utils texlive-fonts-extra texlive-fonts-recommended 
  texlive-generic-recommended texlive-lang-croatian texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-danish 
  texlive-lang-dutch texlive-lang-finnish texlive-lang-french texlive-lang-german texlive-lang-greek 
  texlive-lang-hungarian texlive-lang-italian texlive-lang-latin texlive-lang-mongolian texlive-lang-norwegian 
  texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish texlive-lang-swedish 
  texlive-lang-vietnamese texlive-latex-base texlive-latex-extra texlive-latex-recommended texlive-math-extra 
  texlive-pictures{b} texlive-pstricks texlive-publishers thunar thunar-data thunar-media-tags-plugin tkcvs tomboy{b} 
  totem{b} totem-common totem-gstreamer totem-mozilla{b} totem-plugins{b} trans-de-en tsclient ttf-arphic-bkai00mp 
  ttf-arphic-bsmi00lp ttf-arphic-gbsn00lp ttf-arphic-gkai00mp ttf-kochi-gothic ttf-kochi-mincho unace unhtml 
  update-notifier{b} v4l-conf valgrind{b} vcdimager vdr vim-gnome{b} vino{b} w3m wine wine-bin wine-doc wine-utils 
  wireless-tools{b} wmaker wmclockmon wmdrawer wmsysmon wodim workrave{b} wterm x-dev x11proto-core-dev x11proto-dmx-dev 
  x11proto-fixes-dev x11proto-fonts-dev x11proto-input-dev x11proto-kb-dev x11proto-print-dev x11proto-randr-dev 
  x11proto-record-dev x11proto-render-dev x11proto-resource-dev x11proto-scrnsaver-dev x11proto-video-dev 
  x11proto-xext-dev x11proto-xf86dga-dev x11proto-xf86misc-dev x11proto-xf86vidmode-dev x11proto-xinerama-dev 
  xbase-clients xchat xchat-common xdg-utils xfce4{b} xfce4-mixer{b} xfce4-panel xfce4-screenshooter-plugin{b} 
  xfce4-session{b} xfce4-terminal xfce4-utils xfce4-xkb-plugin{b} xfdesktop4{b} xfdesktop4-data xfonts-cyrillic 
  xfprint4{b} xfs xfwm4{b} xfwm4-themes xli xlibmesa-gl xlibmesa-gl-dev xmlstarlet xplanet xplanet-images xprint{b} 
  xprint-common xserver-xephyr xserver-xorg-video-all{b} xserver-xorg-video-apm xserver-xorg-video-ark 
  xserver-xorg-video-ati{b} xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-dummy 
  xserver-xorg-video-fbdev xserver-xorg-video-glint xserver-xorg-video-mga xserver-xorg-video-neomagic 
  xserver-xorg-video-nv xserver-xorg-video-rendition xserver-xorg-video-s3virge xserver-xorg-video-savage 
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx 
  xserver-xorg-video-tga xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-via{b} 
  xserver-xorg-video-voodoo xsltproc xsnow xterm{b} xtrans-dev xzgv yelp zenity 
The following packages will be REMOVED:
  libexiv2-6{u} libpolkit-agent-1-0{u} 
The following packages are RECOMMENDED but will NOT be installed:
  advancecomp anacron blam brasero consolekit cpufrequtils dirdiff docbook-xsl-doc-html docbook-xsl-doc-pdf 
  docbook-xsl-doc-text dolphin e16 emacs23 emacs23-lucid emacs23-nox evolution-rss fetchyahoo gamin gdebi getlive 
  gnome-accessibility gnome-dbg gnome-dictionary gnome-settings-daemon gnome-themes-more gnucash-docs gvfs-backends 
  indent kde-window-manager kdebase konqueror-nsplugins latex-beamer latex-xcolor libggi-target-aa libggi-target-fbdev 
  libggi-target-svgalib libggi-target-terminfo libggi-target-vcsa libggi-target-x libgwrap-runtime-dev libltdl-dev 
  libqt3-mt-dev libxfce4util-bin liferea lirc lmodern mail-notification-evolution miscfiles network-manager-gnome 
  openbox-themes optipng pgf policykit-1-gnome prosper ps2eps python-cddb python-eggtrayicon python-gamin 
  python-gnomeapplet python-gpod python-gtkmozembed python-notify radeontool rarian-compat rhythmbox-plugins sane-utils 
  shotwell streamripper tango-icon-theme texlive-extra-utils texlive-fonts-extra-doc texlive-latex-base-doc 
  texlive-latex-extra-doc texlive-latex-recommended-doc texlive-pictures-doc texlive-pstricks-doc texlive-publishers-doc 
  texpower thunar-volman tipa totem-coherence transfig ttf-sazanami-mincho wamerican wamerican-huge wamerican-insane 
  wamerican-large wamerican-small wbrazilian wbritish wbritish-huge wbritish-insane wbritish-large wbritish-small 
  wbulgarian wcanadian wcanadian-huge wcanadian-insane wcanadian-large wcanadian-small wcatalan wdanish wdutch wfaroese 
  wfinnish wfrench wgalician-minimos wgerman-medical witalian wngerman wnorwegian wogerman wpolish wportuguese wspanish 
  wswedish wswiss wukrainian xdg-user-dirs xemacs21 xemacs21-mule xemacs21-mule-canna-wnn xemacs21-nomule xinput xorg 
  xprint-utils xscreensaver-gl xscreensaver-gl-extra xsel 
0 packages upgraded, 647 newly installed, 2 to remove and 0 not upgraded.
Need to get 918 MB of archives. After unpacking 2409 MB will be used.

cut here
regards, Ruud
 
Old 10-18-2011, 06:33 AM   #26
cynwulf
Senior Member
 
Registered: Apr 2005
Posts: 2,130
Blog Entries: 5

Rep: Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186
There is quite a bit of a difference actually, but there is still some breakage.

Post outputs
Code:
aptitude full-upgrade
Code:
apt-get -s automremove
Also install deborphan and post output of that.
 
Old 10-18-2011, 06:50 AM   #27
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0
hi caravel,

these commands are less verbose:

Code:
$ sudo aptitude full-upgrade
The following packages will be REMOVED:  
  libclone-perl{u} libid3tag0{u} powermgmt-base{u} python-dbus{u} 
0 packages upgraded, 0 newly installed, 4 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 1020 kB will be freed.
Do you want to continue? [Y/n/?]
Changed automremove to autoremove

Code:
Z sudo apt-get -s autoremove 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  libclone-perl libid3tag0 powermgmt-base python-dbus
The following held packages will be changed:
  libclone-perl libid3tag0 powermgmt-base python-dbus
0 upgraded, 0 newly installed, 4 to remove and 0 not upgraded.
Remv libclone-perl [0.31-1]
Remv libid3tag0 [0.15.1b-10]
Remv powermgmt-base [1.31]
Remv python-dbus [0.83.1-1]
And til slutt:

Code:
$ sudo deborphan
libktoblzcheck1c2a
libembryo0
libdv4
libvcdinfo0
liblrdf0
That is not much. I can do the full-upgrade without quiting it...

regards, Ruud
 
Old 10-18-2011, 06:58 AM   #28
cynwulf
Senior Member
 
Registered: Apr 2005
Posts: 2,130
Blog Entries: 5

Rep: Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186
Code:
aptitude purge `deborphan`
(important: note the back ticks)

Followed by

Code:
deborphan
And...

Code:
aptitude purge `deborphan`
Rinse and repeat until clean, then

Code:
deborphan --find-config
Code:
aptitude purge `deborphan --find-config`
etc, etc, etc, until clean.

full-upgrade should be clear at this point, as autoremove would have sorted that out.

Lastly run "aptitude -f install" again. If it has the same frightening results, quit and post the output.
 
1 members found this post helpful.
Old 10-18-2011, 07:24 AM   #29
rdozijn_2
Member
 
Registered: Feb 2009
Distribution: debian
Posts: 39

Original Poster
Rep: Reputation: 0
phew,

that took some cycles before deborphan was satisfied.

Running aptitude after that has certainly reduced the packages it wants to install, but it is stil (too) much. I don't understand why I should install all that kde stuff while I don't even have kde. I will have a look at the output myself too; maybe it explains why all that packages are to be installed.


Code:
$ sudo aptitude -f install
The following NEW packages will be installed:
  akregator{b} alien apache2-mpm-prefork{b} aspell aspell-en aspell-nl at-spi automake1.4 automake1.9 autotools-dev 
  avifile-divx-plugin avifile-mad-plugin avifile-mjpeg-plugin avifile-player avifile-utils avifile-win32-plugin 
  avifile-xvid-plugin barcode bogofilter{b} bogofilter-bdb{b} bonnie++ bug-buddy capplets-data cdargs cdparanoia cdrdao 
  cl-asdf cl-swank cli-common-dev{b} clisp clisp-doc common-lisp-controller cyrus-sasl2-doc darkice dasher dasher-data 
  desktop-base dia-gnome dictionaries-common dictzip{b} dmz-cursor-theme docbook-xml docbook-xsl doxygen doxygen-doc 
  edict emacsen-common eog{b} epiphany-browser{b} epiphany-browser-data epiphany-data epiphany-extensions epiphany-gecko 
  espeak espeak-data eterm eterm-themes evolution{b} evolution-common evolution-data-server{b} 
  evolution-data-server-common evolution-plugins{b} evolution-webcal{b} exo-utils fam fdutils festival{b} festlex-cmu 
  festlex-poslex festvox-kallpc8k fortune-mod fortunes-min g-wrap{b} galeon{b} gcalctool gdb{b} gdm-themes{b} gedit 
  gedit-common ggzcore-bin gksu gnokii-common gnome{b} gnome-about gnome-accessibility-themes gnome-backgrounds 
  gnome-cards-data gnome-control-center{b} gnome-core{b} gnome-desktop-data gnome-desktop-environment{b} gnome-doc-utils 
  gnome-games{b} gnome-games-data gnome-games-extra-data gnome-icon-theme-gartoon gnome-keyring{b} gnome-media{b} 
  gnome-media-common gnome-menus gnome-office{b} gnome-orca{b} gnome-panel{b} gnome-pilot gnome-pilot-conduits 
  gnome-power-manager{b} gnome-screensaver{b} gnome-session{b} gnome-terminal{b} gnome-themes gnome-themes-extras 
  gnome-user-guide gnome-utils{b} gnucash-common gnuchess gnuchess-book gnustep-back-common{b} gnustep-make-doc gocr 
  gqview groff{b} gs-gpl gstreamer0.10-plugins-good{b} gstreamer0.10-plugins-ugly{b} gtk2-engines gtk2-engines-pixbuf 
  gtk2-engines-xfce guile-1.6-dev{b} guile-1.6-slib{b} guile-1.8-libs guile-g-wrap{b} guile-library{b} html2ps 
  iceape-browser iceape-mailnews icedax ispell{b} kaddressbook{b} kalzium-data kamera{b} kanjidic kapptemplate{b} 
  kde-i18n-nl{b} kde-icons-crystal kdeaccessibility{b} kdeartwork-emoticons kdebase-bin{b} kdebase-data kdelibs-data 
  kdelibs4c2a kdemultimedia-kio-plugins{b} kdepim-kresources{b} kdesdk-scripts kdewebdev kfilereplace{b} kfind{b} 
  kimagemapeditor{b} kleopatra{b} klinkstatus{b} kmag{b} kmousetool{b} knetworkconf{b} kommander{b} konqueror{b} 
  konsole{b} korganizer{b} kscreensaver{b} kscreensaver-xsavers{b} kturtle{b} kwin{b} lib64gcc1{b} 
  libaiksaurusgtk-1.2-0c2a libapache2-mod-php5 libarts1c2a libartsc0-dev libasound2-dev libaspell-dev libast2 
  libatspi1.0-0 libaudio-dev libaudiofile-dev libavahi-qt3-1 libavifile-0.7c2 libc6-amd64 libcairo-perl libcairo2-dev{b} 
  libdmx-dev{b} libdv-bin{b} libebook1.2-9{b} libecal1.2-7{b} libedataserverui1.2-8{b} libegroupwise1.2-13{b} 
  libesd0-dev libespeak1 libexo-0.3-0{b} libexpat1-dev libfbclient2{b} libffcall1-dev libfinance-quote-perl 
  libfontconfig1-dev{b} libfontenc-dev libgail-common libgcrypt11-dev{b} libgd2-xpm{b} libgdiplus libgdl-1-common 
  libggi2 libggz2 libggzcore9 libggzmod4 libgksu2-0 libgl1-mesa-dev libglade2.0-cil libglib2.0-doc libglu1-xorg 
  libgnome-media0 libgnome-menu2 libgnome-pilot2 libgnome-speech7 libgnome-vfs2.0-cil libgnome-window-settings1{b} 
  libgnome2-canvas-perl libgnome2-perl libgnome2-vfs-perl libgnomekbd-common libgnomeprint2.2-0 libgnomeprintui2.2-0 
  libgnomeprintui2.2-common libgnomevfs2-bin libgphoto2-2 libgphoto2-port0 libgtk2-perl{b} libgtk2.0-cil{b} 
  libgtkhtml3.14-19 libgtop2-7 libhtml-tableextract-perl libice-dev libieee1284-3 libimager-perl libimlib2{b} 
  libjack-dev{b} libmng-dev libmono-addins-gui0.2-cil libmono-bytefx0.7.6.1-cil libmono-cairo1.0-cil 
  libmono-firebirdsql1.7-cil libmono-system-runtime1.0-cil libmono-system-web1.0-cil libmono-system-web2.0-cil{b} 
  libmono-winforms1.0-cil libmono1.0-cil libmono2.0-cil libpam-gnome-keyring libpango1.0-dev libpcre3-dev{b} 
  libpisock9{b} libpisync1 libpoppler-dev libpoppler-glib-dev libpopplerkit0{b} libpopt-dev libpt-1.10.10-plugins-alsa 
  libpt-1.10.10-plugins-v4l libreadline5-dev librenaissance0{b} libsane libsdl-image1.2 libservlet2.3-java libsm-dev 
  libsnack2 libsql-statement-perl{b} libssl-dev libthunar-vfs-1-2 libtiff4-dev libtool libversion-perl libwine 
  libwine-alsa libwine-cms libwine-gl libwine-gphoto2 libwine-ldap libwine-print libwine-sane libwmf-bin libwraster3 
  libx11-dev{b} libxau-dev libxcursor-dev libxdmcp-dev libxext-dev libxfce4util4{b} libxfcegui4-4{b} libxfixes-dev 
  libxfont-dev libxft-dev libxi-dev libxine1 libxine1-console{b} libxine1-misc-plugins{b} libxine1-plugins libxine1-x{b} 
  libxinerama-dev libxkbfile-dev libxmu-dev libxmu-headers libxmuu-dev libxosd2 libxp-dev libxpm-dev libxrandr-dev 
  libxrender-dev libxres-dev libxss-dev libxt-dev libxt-java libxtst-dev libxv-dev libxvmc-dev libxxf86dga-dev 
  libxxf86vm-dev licq-plugin-msn{b} licq-plugin-qt{b} link-grammar-dictionaries-en lpr lsb{b} lsb-cxx{b} lsb-desktop{b} 
  lsb-graphics{b} lsb-qt4 lynx{b} manpages-dev menu-xdg mesa-common-dev metacity{b} metacity-common mono-1.0-devel{b} 
  mpg123 myspell-en-gb myspell-en-us myspell-nl nasm nautilus{b} nautilus-data ncurses-term obconf{b} openbox{b} 
  openoffice.org-style-andromeda openoffice.org-style-tango orage p7zip pax perl-suid perlmagick php5 pinentry-qt 
  plptools pm-utils{b} poxml pstoedit{b} python-fpconst python-glade2 python-gmenu python-gnome2 python-gst0.10 
  python-gtkglext1 python-gtksourceview2 python-libxml2 python-mutagen python-opengl{b} python-pysqlite2 
  python-pyvorbis{b} python-setuptools{b} python-soappy python-vte python-wxversion qt3-dev-tools raptor-utils rep-gtk 
  rhythmbox{b} rss-glx{b} sawfish{b} sawfish-data sbcl scrollkeeper{b} slib slime software-properties-gtk 
  sound-juicer{b} synaptic texlive texlive-base{b} texlive-bibtex-extra texlive-doc-base texlive-font-utils 
  texlive-fonts-extra texlive-fonts-recommended texlive-generic-recommended texlive-lang-croatian texlive-lang-cyrillic 
  texlive-lang-czechslovak texlive-lang-danish texlive-lang-dutch texlive-lang-finnish texlive-lang-french 
  texlive-lang-german texlive-lang-greek texlive-lang-hungarian texlive-lang-italian texlive-lang-latin 
  texlive-lang-mongolian texlive-lang-norwegian texlive-lang-other texlive-lang-polish texlive-lang-portuguese 
  texlive-lang-spanish texlive-lang-swedish texlive-lang-vietnamese texlive-latex-base texlive-latex-extra 
  texlive-latex-recommended texlive-math-extra texlive-pictures{b} texlive-pstricks texlive-publishers thunar 
  thunar-data thunar-media-tags-plugin totem{b} totem-mozilla{b} totem-plugins{b} trans-de-en ttf-arphic-bkai00mp 
  ttf-arphic-bsmi00lp ttf-arphic-gbsn00lp ttf-arphic-gkai00mp ttf-kochi-gothic ttf-kochi-mincho unace unhtml 
  update-notifier{b} v4l-conf valgrind{b} vcdimager{b} vdr vim-gnome{b} w3m wine wine-bin wine-doc wine-utils wmaker 
  wmdrawer wodim wterm x-dev x11proto-core-dev x11proto-dmx-dev x11proto-fixes-dev x11proto-fonts-dev x11proto-input-dev 
  x11proto-kb-dev x11proto-print-dev x11proto-randr-dev x11proto-record-dev x11proto-render-dev x11proto-resource-dev 
  x11proto-scrnsaver-dev x11proto-video-dev x11proto-xext-dev x11proto-xf86dga-dev x11proto-xf86misc-dev 
  x11proto-xf86vidmode-dev x11proto-xinerama-dev xbase-clients xchat xchat-common xdg-utils xfce4{b} xfce4-mixer{b} 
  xfce4-panel xfce4-screenshooter-plugin{b} xfce4-session{b} xfce4-terminal xfce4-utils xfce4-xkb-plugin{b} 
  xfdesktop4{b} xfdesktop4-data xfonts-cyrillic xfprint4{b} xfs xfwm4{b} xfwm4-themes xli xlibmesa-gl xlibmesa-gl-dev 
  xmlstarlet xplanet-images xprint{b} xserver-xephyr xserver-xorg-video-all{b} xserver-xorg-video-apm 
  xserver-xorg-video-ark xserver-xorg-video-ati{b} xserver-xorg-video-chips xserver-xorg-video-cirrus 
  xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-glint xserver-xorg-video-mga 
  xserver-xorg-video-neomagic xserver-xorg-video-nv xserver-xorg-video-rendition xserver-xorg-video-s3virge 
  xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb 
  xserver-xorg-video-tdfx xserver-xorg-video-tga xserver-xorg-video-trident xserver-xorg-video-tseng 
  xserver-xorg-video-voodoo xsltproc xterm{b} xtrans-dev yelp zenity 
The following packages will be REMOVED:
  libexiv2-6{u} libpolkit-agent-1-0{u} 
The following packages are RECOMMENDED but will NOT be installed:
  advancecomp alacarte anacron blam brasero consolekit docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text 
  dolphin emacs23 emacs23-lucid emacs23-nox epiphany evolution-rss gamin gdebi gnome-accessibility gnome-applets 
  gnome-dbg gnome-mag gnome-settings-daemon gnome-themes-more gnucash gvfs-backends indent kde-window-manager kdebase 
  konqueror-nsplugins latex-beamer latex-xcolor libggi-target-aa libggi-target-fbdev libggi-target-svgalib 
  libggi-target-terminfo libggi-target-vcsa libggi-target-x libgwrap-runtime-dev libltdl-dev libqt3-mt-dev 
  libxfce4util-bin liferea lirc lmodern miscfiles network-manager-gnome openbox-themes optipng pgf policykit-1-gnome 
  prosper ps2eps radeontool rarian-compat rhythmbox-plugins sane-utils shotwell tango-icon-theme texlive-extra-utils 
  texlive-fonts-extra-doc texlive-latex-base-doc texlive-latex-extra-doc texlive-latex-recommended-doc 
  texlive-pictures-doc texlive-pstricks-doc texlive-publishers-doc texpower thunar-volman tipa totem-coherence transfig 
  ttf-sazanami-mincho wamerican wamerican-huge wamerican-insane wamerican-large wamerican-small wbrazilian wbritish 
  wbritish-huge wbritish-insane wbritish-large wbritish-small wbulgarian wcanadian wcanadian-huge wcanadian-insane 
  wcanadian-large wcanadian-small wcatalan wdanish wdutch wfaroese wfinnish wfrench wgalician-minimos wgerman-medical 
  witalian wngerman wnorwegian wogerman wpolish wportuguese wspanish wswedish wswiss wukrainian xdg-user-dirs xemacs21 
  xemacs21-mule xemacs21-mule-canna-wnn xemacs21-nomule xinput xorg xprint-utils xscreensaver-gl xscreensaver-gl-extra 
0 packages upgraded, 528 newly installed, 2 to remove and 0 not upgraded.
Need to get 752 MB of archives. After unpacking 1924 MB will be used.
The following packages have unmet dependencies:
  gnome-keyring: Depends: libgcr0 (>= 2.30.0) but it is not going to be installed.
  libxfcegui4-4: Depends: libxfconf-0-2 (>= 4.6.0) but it is not going to be installed.
                 Depends: xfce-keyboard-shortcuts but it is not going to be installed.
  kscreensaver-xsavers: Depends: kdebase-runtime but it is not going to be installed.

 ...... removed quite some lines here. 
   
252)     texlive-pstricks recommends texlive-font-utils               
253)     valgrind recommends gdb                                      
254)     xfce4-session recommends xfce4-utils                         
255)     xfce4-session recommends xfdesktop4                          
256)     xfce4-session recommends xfce4-panel                         
257)     xfce4-utils recommends xfce4-panel                           
258)     xfce4-utils recommends thunar                                
259)     xfdesktop4 recommends xfce4-utils                            


Accept this solution? [Y/n/q/?]
 
Old 10-18-2011, 08:26 AM   #30
cynwulf
Senior Member
 
Registered: Apr 2005
Posts: 2,130
Blog Entries: 5

Rep: Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186Reputation: 1186
You certainly don't want to install/remove all that stuff...

Next run:

Code:
aptitude purge ~c
If you get another shopping list, post the output, otherwise go and ahead and let it do it's thing.

Then

Code:
aptitude -f install
(again)

If that produces the same result then the final solution should be

Code:
aptitude keep-all
And run the previous command again.

Last edited by cynwulf; 10-18-2011 at 08:29 AM.
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Sleep reboots/kills computer Faustphor Slackware 14 10-21-2010 08:39 AM
Computer Reboots - What Logs Should I Check? MoghNX01 Linux - Newbie 6 12-15-2005 11:09 AM
My computer reboots directly after i try to load a newly compiled kernel Klas Linux - General 1 08-18-2004 05:58 PM
My Kernel Reboots the computer when it is loaded johnnyde Linux - General 3 06-18-2003 03:02 PM
computer reboots Robert0380 Linux - General 6 04-25-2002 02:25 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 09:27 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration